﻿@model IEnumerable<DatabaseProject.product>

@{
    ViewBag.Title = "Index";
}
<div id="page-wrapper" style="min-height: 593px;">
    <div class="row">
        <div class="col-lg-12">
            <h1 class="page-header">Products</h1>
        </div>
    </div>

    <div class="row">
        <div class="col-lg-3 col-md-6">
            <div class="panel panel-primary">
                <div class="panel-heading">
                    <div class="row">
                        <div class="col-xs-3">
                            <i class="fa fa-inbox fa-5x"></i>
                        </div>
                        <div class="col-xs-9 text-right">
                            <div class="huge">26</div>
                            <div>Products</div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="col-lg-3 col-md-6">
            <div class="panel panel-green">
                <a href="@Url.Action("Create")">
                    <div class="panel-heading">
                        <div class="row">
                            <div class="col-xs-3">
                                <i class="fa fa-plus-square fa-5x"></i>
                            </div>
                            <div class="col-xs-9 text-right">
                                <div class="huge"></div>
                                <div>Create New</div>
                            </div>
                        </div>
                    </div>
                </a>
            </div>
        </div>
        <div class="col-lg-12">
            <div class="panel panel-default">
                <div class="panel-heading">
                    All Products
                </div>
                <!-- /.panel-heading -->
                <div class="panel-body">
                    <div class="table-responsive">
                        <div id="dataTables-example_wrapper" class="dataTables_wrapper form-inline" role="grid">
                            <table class="table table-striped table-bordered table-hover dataTable no-footer" id="dataTables-example" aria-describedby="dataTables-example_info">
                                <thead>
                                    <tr role="row">
                                        <th class="sorting" tabindex="0" aria-controls="dataTables-example" rowspan="1" colspan="1" aria-label="Rendering engine: activate to sort column ascending" style="width: 130px;">Product Id</th>
                                        <th class="sorting" tabindex="0" aria-controls="dataTables-example" rowspan="1" colspan="1" aria-label="Rendering engine: activate to sort column ascending" style="width: 179px;">Name</th>
                                        <th class="sorting" tabindex="0" aria-controls="dataTables-example" rowspan="1" colspan="1" aria-label="Browser: activate to sort column ascending" style="width: 220px;">Description</th>
                                        <th class="sorting" tabindex="0" aria-controls="dataTables-example" rowspan="1" colspan="1" aria-label="Engine version: activate to sort column ascending" style="width: 154px;">Image Url</th>
                                        <th class="sorting_asc" tabindex="0" aria-controls="dataTables-example" rowspan="1" colspan="1" aria-label="CSS grade: activate to sort column ascending" style="width: 112px;" aria-sort="ascending">Per Unit Price</th>
                                        <th class="sorting_asc" tabindex="0" aria-controls="dataTables-example" rowspan="1" colspan="1" aria-label="CSS grade: activate to sort column ascending" style="width: 180px;" aria-sort="ascending"></th>

                                    </tr>
                                </thead>
                                <tbody>
                                    @foreach (var item in Model)
                                    {
                                        <tr class="gradeA even">
                                            <td>
                                                @Html.DisplayFor(modelItem => item.product_id)
                                            </td>
                                            <td>
                                                @Html.DisplayFor(modelItem => item.name)
                                            </td>
                                            <td>
                                                @Html.DisplayFor(modelItem => item.description)
                                            </td>
                                            <td>
                                                @Html.DisplayFor(modelItem => item.image_name)
                                            </td>
                                            <td>
                                                @Html.DisplayFor(modelItem => item.per_unit_price)
                                            </td>
                                            <td>
                                                @Html.ActionLink("Edit", "Edit", new { id = @item.id_products }) |
                                                @Html.ActionLink("Details", "Details", new { id = @item.id_products }) |
                                                @Html.ActionLink("Delete", "Delete", null, new { id= @item.id_products }, new { id = "btnCreate" })
                                                @*@Html.ActionLink("CreateProductModal", "CreateProductModal", "Stocks", new { id = "btnCreate" });*@
                                            </td>
                                        </tr>
                                    }
                                </tbody>
                            </table>
                        </div>
                    </div>
                    <!-- /.table-responsive -->
                </div>
                <!-- /.panel-body -->
            </div>
        </div>
    </div>
</div>
